Unable to install APS application: "Unable to change current directory"

Refers to:

  • Plesk 11.5 for Linux
  • Plesk

Created:

2016-11-16 12:54:46 UTC

Modified:

2016-12-21 19:31:06 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to install APS application: "Unable to change current directory"

Symptoms

An attempt to install APS application fails with one of the following errors:

Non-zero exit status returned by script. Output stream: 'Unable to change current directory to /opt/psa/var/apspackages/apscataloggDqOIK.zip03123588-b16c-80/cache/scripts '.

OR

Permission denied in /opt/psa/var/apspackages/apscatalogH0al3t.zipfb51bb1f-c2a0-66/cache/scripts/app-util.php on line 61

Cause

Incorrect permissions.

Resolution

Correct permissions using the following commands:

# find /usr/local/psa/var/apspackages/ -type f -a -not -perm 644 -exec chmod 644 {} \\;
# find /usr/local/psa/var/apspackages/ -mindepth 1 -type d -a -not -perm 755 -exec chmod 755 {} \\;
Have more questions? Submit a request
Please sign in to leave a comment.